package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.BusinessCircle;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.BusinessCircleMapper")
public interface BusinessCircleMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(BusinessCircle record);

    BusinessCircle selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(BusinessCircle record);

    List<BusinessCircle> queryAllBusinessCircle(BusinessCircle record);

    List<BusinessCircle> queryBusinessCircleByPage(Map<String, Object> parameter);

    int delete(String id);

    BusinessCircle queryBusinessCircle(BusinessCircle record);

    List<BusinessCircle> query(BusinessCircle record);
}

